      subroutine  line(xa,ya,n,k,ltype,inum)
	save
c
c                draw line connecting data point coordinates array value
c                ** xa(n*k+1)  must contain minimum x scale value (inch)
c                ** ya(n*k+1)                       y
c                ** xa(n*k+k+1)  must contain delta x value (per inch)
c                ** ya(n*k+k+1)                     y
c
      dimension  xa(1),ya(1)
c                   ns= count to plot symbol
c                   il= flag to plot line
c                   is= flag to plot symbol
c                  lim= last (x,y) point to plot
      ns= iabs(ltype)
      il= 0
      if(ltype.ge.0)  il=1
      is= 1
      if(ltype.eq.0)  is=0
      lim=  n*k
      xmin=  xa(lim+1)
      ymin=  ya(lim+1)
      xinc=  xa(lim+k+1)
      yinc=  ya(lim+k+1)
c                                  pen up to 1st point
      x =  (xa(1)-xmin) / xinc
      y =  (ya(1)-ymin) / yinc
      call  plot (x,y, 3)
c                             plot array of (x,y) coord. points
      if (il.eq.0) go to 20
      do 10 i = 1,lim,k
       x= (xa(i)-xmin)/ xinc
       y= (ya(i)-ymin)/ yinc
c                                       plot line
       call  plot (x,y,2)
   10 continue
c
   20 if (is.eq.0) go to 40
      j=1
      do 30 i = 1,lim,k
       j= j-1
      if (j.gt.0) go to 30
       j= ns
       x= (xa(i)-xmin)/ xinc
       y= (ya(i)-ymin)/ yinc
c                                       plot  symbol
       call  symbol (x,y,.08 ,inum,0.0, -1)
   30 continue
   40 return
      end
